#
# Conditional build:
%bcond_with	gnome2		# build with support for GNOME2 wm-properties
#
Summary:	Tab Window Manager for the X Window System
Summary(pl.UTF-8):	Twm - podstawowy zarządca okien dla X Window System
Summary(ru.UTF-8):	Простой оконный менеджер
Summary(uk.UTF-8):	Простий віконний менеджер
Name:		xorg-app-twm
Version:	1.0.7
Release:	2
License:	MIT
Group:		X11/Window Managers
Source0:	http://xorg.freedesktop.org/releases/individual/app/twm-%{version}.tar.bz2
# Source0-md5:	c1c124ff16255d6525a53a0d5cec8bf9
Source1:	twm.desktop
Source2:	twm-xsession.desktop
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libXmu-devel
BuildRequires:	xorg-proto-xproto-devel >= 7.0.17
BuildRequires:	xorg-util-util-macros >= 1.8
Obsoletes:	X11-twm < 1:7.0.0
Obsoletes:	XFree86-twm < 1:7.0.0
Obsoletes:	twm < 1:7.0.0
Conflicts:	filesystem < 3.0-20
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_wmpropsdir	/usr/share/gnome/wm-properties
%define		_xsessdir	/usr/share/xsessions
# for system.twmrc
%define		_datadir	%{_sysconfdir}

%description
Twm is a window manager for the X Window System. It provides
titlebars, shaped windows, several forms of icon management,
user-defined macro functions, click-to-type and pointerdriven keyboard
focus, and user-specified key and pointer button bindings.

%description -l pl.UTF-8
Twm jest zarządcą okien dla X Window System. Daje belki tytułowe,
ramki okien, parę form zarządzania ikonami, definiowalne makra,
ustawianie focusu kliknięciem lub położeniem wskaźnika myszy,
definiowalne przypisania klawiszy i przycisków myszy.

%description -l ru.UTF-8
Простой компактний оконный менеджер.

%description -l uk.UTF-8
Простий компактний віконний менеджер.

%prep
%setup -q -n twm-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{?with_gnome2:install -D %{SOURCE1} $RPM_BUILD_ROOT%{_wmpropsdir}/twm.desktop}
install -D %{SOURCE2} $RPM_BUILD_ROOT%{_xsessdir}/twm.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/twm
%dir %{_sysconfdir}/X11/twm
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/X11/twm/system.twmrc
%{?with_gnome2:%{_wmpropsdir}/twm.desktop}
%{_xsessdir}/twm.desktop
%{_mandir}/man1/twm.1x*
%changelog
* Wed May 08 2013 Marcin Krol <hawk@tld-linux.org> 537f808
- release 2 (by relup.sh)

* Thu Jul 28 2011 Jakub Bogusz <qboosh@pld-linux.org> 7ac4ab3
- updated to 1.0.7

* Thu Jul 28 2011 Jan Rękorajski <baggins@pld-linux.org> 4b4eccb
- renamed gnome bcond

* Wed Jul 27 2011 Jan Rękorajski <baggins@pld-linux.org> 2991312
- rel 2
- conditional (off by default) wm-properties (only used in gnome2)

* Wed Feb 02 2011 sparky <sparky@pld-linux.org> 87fa17a
- BR: bison, flex

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 03a1ff7
- dropped pre-cvs changelog

* Fri Jan 07 2011 Jakub Bogusz <qboosh@pld-linux.org> 7bc3a20
- updated to 1.0.6

* Sun Oct 31 2010 Jakub Bogusz <qboosh@pld-linux.org> 7f4e7b2
- updated to 1.0.5

* Thu Sep 18 2008 Patryk Zawadzki <patrys@room-303.com> 0b57c62
- move wm-properties
- rel 2

* Thu Mar 06 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 4fc5321
- up to 1.0.4

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> 2a50e16
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Mon Feb 19 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 118071b
- rebuild to fix FileDigestParameterized rpm issue

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> c779cdf
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 2c8bdd3
- converted to UTF-8

* Sat Jan 06 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 735a34d
- obsolete only Ac version of X11 so metapackage-xorg will have a chance to work

* Thu Nov 30 2006 Jakub Bogusz <qboosh@pld-linux.org> 0f174ca
- moved system.twmrc to /etc/X11/twm, like we used to have in monolith

* Thu Nov 30 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 4787ab2
- up to 1.0.3

* Sun Oct 15 2006 Jakub Bogusz <qboosh@pld-linux.org> 26e4f9c
- more verbose files

* Sat Oct 14 2006 Jakub Bogusz <qboosh@pld-linux.org> 9889262
- updated to 1.0.2, release 1

* Fri Feb 03 2006 Jakub Bogusz <qboosh@pld-linux.org> 42874de
- merged twm.desktop and twm-xsession.desktop from monolith

